Subject: Re: [PATCH 0/2] protect git from a rogue editor

From: Junio C Hamano <[email-masked]>
Date: Mon, 04 Oct 2021 09:38:16 -0700

Carlo Marcelo Arenas Belón  <[email-masked]> writes:

> The following series, expands git's terminal support to allow for
> saving/restoring its settings around an EDITOR call.
>
> The reason why that might be useful has been documented[1] by Windows
> users that had found themselves not able to read clearly the messages
> printed by git after a commit (or a rebase) when the default EDITOR
> failed to reset the terminal settings completely.

Sounds sensible.  I do not think it is limited to Windows---I think
I've caused vi crash to get me into an non-echoing terminal myself
non some variant of UNIX before Linux era ;-)